Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.stream
Interface StartElement

public interface StartElement
extends XMLEvent

The StartElement interface provides access to information about start elements

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `AttributeIterator`

Fields inherited from class weblogic.xml.stream.XMLEvent
`CHANGE_PREFIX_MAPPING, CHARACTER_DATA, COMMENT, END_DOCUMENT, END_ELEMENT, END_PREFIX_MAPPING, ENTITY_REFERENCE, NULL_ELEMENT, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT, START_PREFIX_MAPPING, XML_EVENT`

Method Summary
`Attribute` | `getAttributeByName(XMLName name)` Returns the attribute referred to by this name
`AttributeIterator` | `getAttributes()` Returns an AttributeIterator of non-namespace declared attributes
`AttributeIterator` | `getAttributesAndNamespaces()` Returns the union of declared attributes and namespaces
`java.util.Map` | `getNamespaceMap()` Gets a java.util.Map from prefixes to URIs in scope for this element.
`AttributeIterator` | `getNamespaces()` Returns an AttributeIterator of namespaces declared in this element
`java.lang.String` | `getNamespaceUri(java.lang.String prefix)` Gets the value that the prefix is bound to in the context of this element.

Methods inherited from interface weblogic.xml.stream.XMLEvent
`getLocation, getName, getSchemaType, getType, getTypeAsString, hasName, isChangePrefixMapping, isCharacterData, isEndDocument, isEndElement, isEndPrefixMapping, isEntityReference, isNull, isProcessingInstruction, isSpace, isStartDocument, isStartElement, isStartPrefixMapping`

Method Detail

### getAttributes

    public AttributeIterator getAttributes()

  Returns an AttributeIterator of non-namespace declared attributes

### getNamespaces

    public AttributeIterator getNamespaces()

  Returns an AttributeIterator of namespaces declared in this element

### getAttributesAndNamespaces

    public AttributeIterator getAttributesAndNamespaces()

  Returns the union of declared attributes and namespaces

### getAttributeByName

    public Attribute getAttributeByName(XMLName name)

  Returns the attribute referred to by this name

### getNamespaceUri

    public java.lang.String getNamespaceUri(java.lang.String prefix)

  Gets the value that the prefix is bound to in the context of this element. Returns null if the prefix is not bound in this context

### getNamespaceMap

    public java.util.Map getNamespaceMap()

  Gets a java.util.Map from prefixes to URIs in scope for this element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD